Subject: Fwd: Re: [bug#47815] [PATCH 1/3] gnu: music: python-abjad: Abjad Improvements.

From: Maxime Devos <[email-masked]>
Date: Sat, 17 Apr 2021 18:19:20 +0200

I accidentally forgot to keep [email-masked] in To:.

Subject: Re: [bug#47815] [PATCH 1/3] gnu: music: python-abjad: Abjad Improvements.
From: Maxime Devos <[email-masked]>
To: jgart <[email-masked]>
Date: Sat, 17 Apr 2021 18:18:22 +0200

jgart schreef op za 17-04-2021 om 16:10 [+0000]:
> Hi Maxime,
> 
> I tried your suggestion but it fails with the following exception:
> 
> Backtrace:
> 
> ...
> In guix/build-system/python.scm:
>     162:0  3 (python-build _ _ _ #:tests? _ #:test-target _ # _ # _ # …)
> In ice-9/boot-9.scm:
>   1669:16  2 (raise-exception _ #:continuable? _)
>   1669:16  1 (raise-exception _ #:continuable? _)
>   1669:16  0 (raise-exception _ #:continuable? _)
> 
> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
> Unrecognized keyword: #:disallowed-references
> 
> It looks like python-build-system might not support #:disallowed-references.
> 
> Is that correct?

That indeed seems to be the case.
For now, you can run ‘guix gc --references $(guix build abjad)’.
The output should not contain lilypond.
I'll see about adding #:disallowed-references and #:disallowed-native-references
later.

Greetings,
Maxime.